Merge "Use gerrit patch for coe csit"
authorThanh Ha (zxiiro) <thanh.ha@linuxfoundation.org>
Wed, 28 Nov 2018 13:57:40 +0000 (13:57 +0000)
committerGerrit Code Review <gerrit@opendaylight.org>
Wed, 28 Nov 2018 13:57:40 +0000 (13:57 +0000)
13 files changed:
docs/cloud-images.rst
jjb/autorelease/version-bump.sh
jjb/controller/controller.yaml
jjb/integration/common-functions.sh
jjb/integration/distribution/distribution-jobs.yaml
jjb/integration/integration-apex-run-tests.sh
jjb/integration/integration-deploy-controller-run-test.sh
jjb/integration/integration-deploy-openstack-run-test.sh
jjb/integration/integration-start-cluster-run-test.sh
jjb/packaging/ansible.yaml
jjb/packaging/packaging.yaml
jjb/packaging/test-ansible-rpm-upgrade.sh [new file with mode: 0644]
jjb/transportpce/transportpce.yaml

index a2ecf7bf832ccf4a9af8a38db7f69f8a6f99aa07..4c3268cb0b659d3ef2a5cee78d230f52eba058ef 100644 (file)
@@ -1,2 +1,42 @@
 Following are the list of published images available to be used with Jenkins jobs.
 
+* ZZCI - CentOS 7 - autorelease - 20180125-2240
+* ZZCI - CentOS 7 - builder - 20180201-2139
+* ZZCI - CentOS 7 - builder - 20180611-1830
+* ZZCI - CentOS 7 - builder - 20180723-235310.638
+* ZZCI - CentOS 7 - builder - 20180802-220823.782
+* ZZCI - CentOS 7 - builder - x86_64 - 20180823-152917.621
+* ZZCI - CentOS 7 - builder - x86_64 - 20181010-215635.956
+* ZZCI - CentOS 7 - devstack - 20171208-1648
+* ZZCI - CentOS 7 - devstack - 20180723-235345.727
+* ZZCI - CentOS 7 - devstack - 20180911-204116.460
+* ZZCI - CentOS 7 - devstack-ocata - 20171208-1649
+* ZZCI - CentOS 7 - devstack-pike - 20171208-1649
+* ZZCI - CentOS 7 - devstack-queens - 20181101-190143.891
+* ZZCI - CentOS 7 - docker - 20171209-0317
+* ZZCI - CentOS 7 - docker - 20180109-0346
+* ZZCI - CentOS 7 - docker - 20180110-1659
+* ZZCI - CentOS 7 - docker - 20180417-0311
+* ZZCI - CentOS 7 - docker - 20180723-235456.035
+* ZZCI - CentOS 7 - java-builder - 20171206-1842
+* ZZCI - CentOS 7 - java-builder - 20171209-0032
+* ZZCI - CentOS 7 - robot - 20180601-2050
+* ZZCI - OPNFV - apex - compute - 0
+* ZZCI - OPNFV - apex - compute - 1
+* ZZCI - OPNFV - apex - controller - 0
+* ZZCI - Ubuntu 14.04 - gbp - 20171208-2336
+* ZZCI - Ubuntu 14.04 - gbp - 20180723-235516.505
+* ZZCI - Ubuntu 16.04 - docker - 20180601-2047
+* ZZCI - Ubuntu 16.04 - gbp - 20171213-2018
+* ZZCI - Ubuntu 16.04 - gbp - 20180723-235534.431
+* ZZCI - Ubuntu 16.04 - kubernetes - 20180527-1344
+* ZZCI - Ubuntu 16.04 - kubernetes - 20180723-235526.580
+* ZZCI - Ubuntu 16.04 - mininet-ovs-25 - 20171208-1847
+* ZZCI - Ubuntu 16.04 - mininet-ovs-25 - 20180723-235543.682
+* ZZCI - Ubuntu 16.04 - mininet-ovs-25 - 20181029-223449.514
+* ZZCI - Ubuntu 16.04 - mininet-ovs-26 - 20171208-1847
+* ZZCI - Ubuntu 16.04 - mininet-ovs-26 - 20180723-235543.774
+* ZZCI - Ubuntu 16.04 - mininet-ovs-26 - 20181029-223513.438
+* ZZCI - Ubuntu 16.04 - mininet-ovs-28 - 20180301-1041
+* ZZCI - Ubuntu 16.04 - mininet-ovs-28 - 20180723-235605.507
+* ZZCI - Ubuntu 16.04 - mininet-ovs-28 - 20181001-220228.326
index 682d0fb6d292886e61ed343885b92a0f024ca417..7d81b33a24929ef7a53ff149ac14ad594bef943f 100644 (file)
@@ -58,6 +58,11 @@ if [ "$BRANCH_CUT" = "false" ]; then
 fi
 lftools version bump "$RELEASE_TAG"
 
+# Ignore changes to Final distribution since that will be released separately
+pushd integration/distribution || exit 1
+    git checkout -f opendaylight/pom.xml
+popd || exit 1
+
 git submodule foreach "git commit -asm 'Bump versions by x.y.(z+1)'"
 # Only submodules need to be bumped, we can ignore autorelease's bump information
 git checkout -f
index 7cd63e38405e9c5edf7a5361f97369f92afe1228..0a16ec99ad9883c675f10003098d23aa6223f1a9 100644 (file)
 - project:
     name: controller-sonar
     jobs:
-      - gerrit-maven-sonar
+      - gerrit-maven-sonar:
+          mvn-params: >
+            -Dodl.jacoco.aggregateFile=$WORKSPACE/target/jacoco.exec
+            -Dsonar.jacoco.reportPath=$WORKSPACE/target/jacoco.exec
 
     project: 'controller'
     project-name: 'controller'
index 53ed46ada9c6fa5a09ffda094bfca2c8095fa7a3..bae69e425b164cce3fdd82ebf1cfd1403302c927 100644 (file)
@@ -133,6 +133,40 @@ function get_os_deploy() {
     export OPENSTACK_TOPO
 }
 
+function get_test_suites() {
+
+    #let the caller pick the name of the variable we will assign the suites to
+    local __suite_list=$1
+
+    echo "Locating test plan to use..."
+    testplan_filepath="${WORKSPACE}/test/csit/testplans/${STREAMTESTPLAN}"
+    if [ ! -f "${testplan_filepath}" ]; then
+        testplan_filepath="${WORKSPACE}/test/csit/testplans/${TESTPLAN}"
+    fi
+
+    echo "Changing the testplan path..."
+    cat "${testplan_filepath}" | sed "s:integration:${WORKSPACE}:" > testplan.txt
+    cat testplan.txt
+
+    # Use the testplan if specific SUITES are not defined.
+    if [ -z "${SUITES}" ]; then
+        suite_list=`egrep -v '(^[[:space:]]*#|^[[:space:]]*$)' testplan.txt | tr '\012' ' '`
+    else
+        suite_list=""
+        workpath="${WORKSPACE}/test/csit/suites"
+        for suite in ${SUITES}; do
+            fullsuite="${workpath}/${suite}"
+            if [ -z "${suite_list}" ]; then
+                suite_list+=${fullsuite}
+            else
+                suite_list+=" "${fullsuite}
+            fi
+        done
+    fi
+
+    eval $__suite_list="'$suite_list'"
+}
+
 function run_plan() {
     local -r type=$1
 
index c7d8c96ebaa4c7e0da3df0dd7f00658beaad41b5..b01f86ccb4e96d76364c9f16ebb1b5923c9fc059 100644 (file)
@@ -25,8 +25,7 @@
           # Self-Managed projects repos and features:
           sm-repos: >
               mvn:org.opendaylight.sxp/features-sxp//xml/features,
-              mvn:org.opendaylight.tsdr/features-tsdr//xml/features,
-              mvn:org.opendaylight.unimgr/features4-unimgr//xml/features
+              mvn:org.opendaylight.tsdr/features-tsdr//xml/features
           sm-features: >
               odl-sxp-routing,
               odl-tsdr-core,
           karaf-version: odl
           # Self-Managed projects repos and features:
           sm-repos: >
-              mvn:org.opendaylight.snmp4sdn/features-snmp4sdn//xml/features,
               mvn:org.opendaylight.sxp/features-sxp//xml/features,
               mvn:org.opendaylight.transportpce/features-transportpce//xml/features,
-              mvn:org.opendaylight.tsdr/features-tsdr//xml/features,
-              mvn:org.opendaylight.unimgr/features4-unimgr//xml/features
           sm-features: >
-              odl-snmp4sdn-snmp4sdn
               odl-sxp-routing,
               odl-transportpce,
               odl-transportpce-api,
               odl-transportpce-ordmodels,
-              odl-transportpce-stubmodels,
-              odl-tsdr-core,
-              odl-tsdr-openflow-statistics-collector,
-              odl-tsdr-netflow-statistics-collector,
-              odl-tsdr-restconf-collector,
-              odl-tsdr-syslog-collector,
-              odl-tsdr-controller-metrics-collector,
-              odl-tsdr-cassandra,
-              odl-tsdr-hbase,
-              odl-tsdr-hsqldb,
-              odl-tsdr-elasticsearch,
-              odl-unimgr,
-              odl-unimgr-template-driver,
-              odl-unimgr-cisco-xr-driver,
-              odl-unimgr-ovs-driver
+              odl-transportpce-stubmodels
+
       - oxygen:
           branch: 'stable/oxygen'
           karaf-version: karaf4
index e7875281b03c5ada6f8c7a9b871f287b50643888..a34dbe92ea76d1d0a3ea9fbbc56f22f0f96c0438 100644 (file)
@@ -8,6 +8,8 @@ source /tmp/common-functions.sh ${BUNDLEFOLDER}
 # Ensure we fail the job if any steps fail.
 set -ex -o pipefail
 
+print_job_parameters
+
 get_os_deploy
 
 # Swap out the ODL distribution
@@ -98,22 +100,7 @@ ssh ${OPENSTACK_CONTROL_NODE_1_IP} "sudo ovs-vsctl show"
 ssh ${OPENSTACK_COMPUTE_NODE_1_IP} "sudo ovs-vsctl show"
 ssh ${OPENSTACK_COMPUTE_NODE_2_IP} "sudo ovs-vsctl show"
 
-# Use the testplan if specific SUITES are not defined.
-if [ -z "${SUITES}" ]; then
-    SUITES=`egrep -v '(^[[:space:]]*#|^[[:space:]]*$)' testplan.txt | tr '\012' ' '`
-else
-    newsuites=""
-    workpath="${WORKSPACE}/test/csit/suites"
-    for suite in ${SUITES}; do
-        fullsuite="${workpath}/${suite}"
-        if [ -z "${newsuites}" ]; then
-            newsuites+=${fullsuite}
-        else
-            newsuites+=" "${fullsuite}
-        fi
-    done
-    SUITES=${newsuites}
-fi
+get_test_suites SUITES
 
 echo "Starting Robot test suites ${SUITES} ..."
 # please add pybot -v arguments on a single line and alphabetized
index 4aeb4471d73f635f6d9de613c6a610bc39378682..3cac8e115eb0871e537ac5c4f55d2a4c726aea7d 100755 (executable)
@@ -45,32 +45,7 @@ do
     tools_variables=${tools_variables}" -v ${MININETIP}:${!MININETIP}"
 done
 
-echo "Locating test plan to use..."
-testplan_filepath="${WORKSPACE}/test/csit/testplans/${STREAMTESTPLAN}"
-if [ ! -f "${testplan_filepath}" ]; then
-    testplan_filepath="${WORKSPACE}/test/csit/testplans/${TESTPLAN}"
-fi
-
-echo "Changing the testplan path..."
-cat "${testplan_filepath}" | sed "s:integration:${WORKSPACE}:" > testplan.txt
-cat testplan.txt
-
-# Use the testplan if specific SUITES are not defined.
-if [ -z "${SUITES}" ]; then
-    SUITES=`egrep -v '(^[[:space:]]*#|^[[:space:]]*$)' testplan.txt | tr '\012' ' '`
-else
-    newsuites=""
-    workpath="${WORKSPACE}/test/csit/suites"
-    for suite in ${SUITES}; do
-        fullsuite="${workpath}/${suite}"
-        if [ -z "${newsuites}" ]; then
-            newsuites+=${fullsuite}
-        else
-            newsuites+=" "${fullsuite}
-        fi
-    done
-    SUITES=${newsuites}
-fi
+get_test_suites SUITES
 
 echo "Starting Robot test suites ${SUITES} ..."
 pybot -N ${TESTPLAN} \
index 95c26c47c9100be49ed0805999d9afe5b469654c..daaba59ebc571862216704e1d20e5115ebc45d54 100644 (file)
@@ -1075,32 +1075,7 @@ else
     HA_PROXY_3_IP=${ODL_SYSTEM_3_IP}
 fi
 
-echo "Locating test plan to use..."
-testplan_filepath="${WORKSPACE}/test/csit/testplans/${STREAMTESTPLAN}"
-if [ ! -f "${testplan_filepath}" ]; then
-    testplan_filepath="${WORKSPACE}/test/csit/testplans/${TESTPLAN}"
-fi
-
-echo "Changing the testplan path..."
-cat "${testplan_filepath}" | sed "s:integration:${WORKSPACE}:" > testplan.txt
-cat testplan.txt
-
-# Use the testplan if specific SUITES are not defined.
-if [ -z "${SUITES}" ]; then
-    SUITES=`egrep -v '(^[[:space:]]*#|^[[:space:]]*$)' testplan.txt | tr '\012' ' '`
-else
-    newsuites=""
-    workpath="${WORKSPACE}/test/csit/suites"
-    for suite in ${SUITES}; do
-        fullsuite="${workpath}/${suite}"
-        if [ -z "${newsuites}" ]; then
-            newsuites+=${fullsuite}
-        else
-            newsuites+=" "${fullsuite}
-        fi
-    done
-    SUITES=${newsuites}
-fi
+get_test_suites SUITES
 
 #install all client versions required for this job testing
 install_openstack_clients_in_robot_vm
index e11908bb618150350189b2a421b7f7f4c1f229d5..c4260c71114b0f6386d5363c3447d14016de22ce 100644 (file)
@@ -4,6 +4,9 @@
 # script.
 # shellcheck source=${ROBOT_VENV}/bin/activate disable=SC1091
 source ${ROBOT_VENV}/bin/activate
+source /tmp/common-functions.sh ${BUNDLEFOLDER}
+# Ensure we fail the job if any steps fail.
+set -ex -o pipefail
 
 echo "#################################################"
 echo "##         Verify Cluster is UP                ##"
@@ -102,32 +105,7 @@ do
     tools_variables=${tools_variables}" -v ${MININETIP}:${!MININETIP}"
 done
 
-echo "Locating test plan to use..."
-testplan_filepath="${WORKSPACE}/test/csit/testplans/${STREAMTESTPLAN}"
-if [ ! -f "${testplan_filepath}" ]; then
-    testplan_filepath="${WORKSPACE}/test/csit/testplans/${TESTPLAN}"
-fi
-
-echo "Changing the testplan path..."
-cat "${testplan_filepath}" | sed "s:integration:${WORKSPACE}:" > testplan.txt
-cat testplan.txt
-
-# Use the testplan if specific SUITES are not defined.
-if [ -z "${SUITES}" ]; then
-    SUITES=`egrep -v '(^[[:space:]]*#|^[[:space:]]*$)' testplan.txt | tr '\012' ' '`
-else
-    newsuites=""
-    workpath="${WORKSPACE}/test/csit/suites"
-    for suite in ${SUITES}; do
-        fullsuite="${workpath}/${suite}"
-        if [ -z "${newsuites}" ]; then
-            newsuites+=${fullsuite}
-        else
-            newsuites+=" "${fullsuite}
-        fi
-    done
-    SUITES=${newsuites}
-fi
+get_test_suites SUITES
 
 echo "Starting Robot test suites ${SUITES} ..."
 pybot -N ${TESTPLAN} \
index f3e9a2566aa9a5110843e9f2b55030ec860fe914..7176d06a3d2386cd0c3e1ab1054efe093068ca0f 100644 (file)
@@ -47,6 +47,7 @@
       - shell: !include-raw: setup-ansible-rpm.sh
       - shell: !include-raw: test-ansible-rpm-default-config.sh
       - shell: !include-raw: test-ansible-rpm-custom-config.sh
+      - shell: !include-raw: test-ansible-rpm-upgrade.sh
 
     triggers:
       - timed: '@weekly'
index f8e1e53b8fc84d0a5b753d68a768407edfa1c167..2f120cdcbf78c25c6ae89cc14af37016f9cd3813 100644 (file)
       - shell: !include-raw-escape: build-rpm.sh
       - install-test-uninstall-rpm
 
+      # Test Fluorine SR1 release tarball
+      - inject:
+          # yamllint disable-line rule:line-length
+          properties-content: 'DOWNLOAD_URL=https://nexus.opendaylight.org/content/repositories/opendaylight.release/org/opendaylight/integration/karaf/0.9.1/karaf-0.9.1.tar.gz'
+      - shell: !include-raw-escape: build-rpm.sh
+      - install-test-uninstall-rpm
+
       # Test Neon pre-release autorelease tarball
       # NB: This will need to be updated as old builds expire
       - inject:
       # NB: This will need to be updated as old builds expire
       - inject:
           # yamllint disable-line rule:line-length
-          properties-content: 'DOWNLOAD_URL=https://nexus.opendaylight.org/content/repositories/opendaylight.snapshot/org/opendaylight/integration/integration/distribution/karaf/0.10.0-SNAPSHOT/karaf-0.10.0-20181106.150120-17.zip'
+          properties-content: 'DOWNLOAD_URL=https://nexus.opendaylight.org/content/repositories/opendaylight.snapshot/org/opendaylight/integration/integration/distribution/karaf/0.10.0-SNAPSHOT/karaf-0.10.0-20181119.131156-18.zip'
       - shell: !include-raw-escape: build-rpm.sh
       - install-test-uninstall-rpm
 
       - shell: !include-raw-escape: build-rpm.sh
       - install-test-uninstall-rpm
 
+      # Test Fluorine SR1 release tarball
+      - inject:
+          # yamllint disable-line rule:line-length
+          properties-content: 'DOWNLOAD_URL=https://nexus.opendaylight.org/content/repositories/opendaylight.release/org/opendaylight/integration/karaf/0.9.1/karaf-0.9.1.tar.gz'
+      - shell: !include-raw-escape: build-rpm.sh
+      - install-test-uninstall-rpm
+
       # Test Fluorine pre-release autorelease tarball
       # NB: This will need to be updated as old builds expire
       - inject:
       # NB: This will need to be updated as old builds expire
       - inject:
           # yamllint disable-line rule:line-length
-          properties-content: 'DOWNLOAD_URL=https://nexus.opendaylight.org/content/repositories/opendaylight.snapshot/org/opendaylight/integration/integration/distribution/karaf/0.10.0-SNAPSHOT/karaf-0.10.0-20181106.150120-17.zip'
+          properties-content: 'DOWNLOAD_URL=https://nexus.opendaylight.org/content/repositories/opendaylight.snapshot/org/opendaylight/integration/integration/distribution/karaf/0.10.0-SNAPSHOT/karaf-0.10.0-20181119.131156-18.zip'
       - shell: !include-raw-escape: build-rpm.sh
       - install-test-uninstall-rpm
 
diff --git a/jjb/packaging/test-ansible-rpm-upgrade.sh b/jjb/packaging/test-ansible-rpm-upgrade.sh
new file mode 100644 (file)
index 0000000..c5a5c55
--- /dev/null
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Uninstall ODL from previous test
+# This is to ensure these tests run independant
+# from any other tests
+sudo yum remove opendaylight -y
+
+# Remove the ODL directory
+sudo rm -rf /opt/opendaylight
+
+# Execute the upgrade tests
+sudo ansible-playbook -i "localhost," -c local $WORKSPACE/ansible/tests/test-odl-upgrade.yaml -v
index e5062234f045e46701ac5109615634203b5bb904..920b4e294b4fcdac55c46534984a2b8755a26a20 100644 (file)
@@ -13,8 +13,6 @@
     project-name: 'transportpce'
     stream: neon
     branch: 'master'
-    build-node: centos7-builder-8c-8g
-    build-timeout: 90
     mvn-settings: 'transportpce-settings'
     mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
     dependencies: 'odlparent-merge-{stream},yangtools-merge-{stream},controller-merge-{stream}'
@@ -37,8 +35,6 @@
     project-name: 'transportpce'
     stream: fluorine
     branch: 'stable/fluorine'
-    build-node: centos7-builder-8c-8g
-    build-timeout: 90
     mvn-settings: 'transportpce-settings'
     mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
     dependencies: 'odlparent-merge-{stream},yangtools-merge-{stream},controller-merge-{stream}'
@@ -56,8 +52,6 @@
     project-name: 'transportpce'
     stream: oxygen
     branch: 'stable/oxygen'
-    build-node: centos7-builder-8c-8g
-    build-timeout: 90
     mvn-settings: 'transportpce-settings'
     mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
     dependencies: 'odlparent-merge-{stream},yangtools-merge-{stream},controller-merge-{stream}'